Get Developer Campaign Audience
/api/v1/developer/campaigns/{campaignId}/audienceUse the access scope below. The generated schemas specify the exact request and responses.
Access scopecampaigns.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
campaignIdrequired · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }
Request examples
curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/campaigns/CAMPAIGN_ID/audience' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Responses
200 Current frozen Campaign audience aggregate
application/jsonobject
audiencerequired- object | null
Nested schema
object | nullfilterrequired- object
Nested schema
objectcontactStatusrequired- stringenum: ["active","archived","all"]
segmentId- string | nullminLength: 1 · maxLength: 160 · default: null
providerTypesrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100stringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }JSON Schema
{ "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100 } requiredTagsrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100stringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }JSON Schema
{ "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100 } stageIdsrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100stringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }JSON Schema
{ "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100 } loyaltyCardRequired- booleandefault: false
loyaltyLevelIds- arraymaxItems: 100 · default: []
Nested schema
arraymaxItems: 100 · default: []stringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }JSON Schema
{ "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100, "default": [] } minimumLoyaltyBalance- integer | nullminimum: 0 · maximum: 1000000000 · default: null
readyStampOfferIds- arraymaxItems: 100 · default: []
Nested schema
arraymaxItems: 100 · default: []stringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }JSON Schema
{ "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100, "default": [] }
JSON Schema
{ "type": "object", "properties": { "contactStatus": { "type": "string", "enum": [ "active", "archived", "all" ] }, "segmentId": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 160, "default": null }, "providerTypes": { "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100 }, "requiredTags": { "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100 }, "stageIds": { "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100 }, "loyaltyCardRequired": { "type": "boolean", "default": false }, "loyaltyLevelIds": { "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100, "default": [] }, "minimumLoyaltyBalance": { "type": [ "integer", "null" ], "minimum": 0, "maximum": 1000000000, "default": null }, "readyStampOfferIds": { "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100, "default": [] } }, "required": [ "contactStatus", "providerTypes", "requiredTags", "stageIds" ] } candidateCountrequired- integerminimum: 0
eligibleCountrequired- integerminimum: 0
exclusionsrequired- object
Nested schema
objectconsent_not_grantedrequired- integerminimum: 0
suppressedrequired- integerminimum: 0
mergedrequired- integerminimum: 0
filter_mismatchrequired- integerminimum: 0
channel_unavailablerequired- integerminimum: 0
duplicaterequired- integerminimum: 0
JSON Schema
{ "type": "object", "properties": { "consent_not_granted": { "type": "integer", "minimum": 0 }, "suppressed": { "type": "integer", "minimum": 0 }, "merged": { "type": "integer", "minimum": 0 }, "filter_mismatch": { "type": "integer", "minimum": 0 }, "channel_unavailable": { "type": "integer", "minimum": 0 }, "duplicate": { "type": "integer", "minimum": 0 } }, "required": [ "consent_not_granted", "suppressed", "merged", "filter_mismatch", "channel_unavailable", "duplicate" ] }
JSON Schema
{ "type": [ "object", "null" ], "properties": { "filter": { "type": "object", "properties": { "contactStatus": { "type": "string", "enum": [ "active", "archived", "all" ] }, "segmentId": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 160, "default": null }, "providerTypes": { "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100 }, "requiredTags": { "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100 }, "stageIds": { "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100 }, "loyaltyCardRequired": { "type": "boolean", "default": false }, "loyaltyLevelIds": { "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100, "default": [] }, "minimumLoyaltyBalance": { "type": [ "integer", "null" ], "minimum": 0, "maximum": 1000000000, "default": null }, "readyStampOfferIds": { "type": "array", "items": { "type": "string", "minLength": 1, "maxLength": 160 }, "maxItems": 100, "default": [] } }, "required": [ "contactStatus", "providerTypes", "requiredTags", "stageIds" ] }, "candidateCount": { "type": "integer", "minimum": 0 }, "eligibleCount": { "type": "integer", "minimum": 0 }, "exclusions": { "type": "object", "properties": { "consent_not_granted": { "type": "integer", "minimum": 0 }, "suppressed": { "type": "integer", "minimum": 0 }, "merged": { "type": "integer", "minimum": 0 }, "filter_mismatch": { "type": "integer", "minimum": 0 }, "channel_unavailable": { "type": "integer", "minimum": 0 }, "duplicate": { "type": "integer", "minimum": 0 } }, "required": [ "consent_not_granted", "suppressed", "merged", "filter_mismatch", "channel_unavailable", "duplicate" ] } }, "required": [ "filter", "candidateCount", "eligibleCount", "exclusions" ] }
JSON Schema
{
"type": "object",
"properties": {
"audience": {
"type": [
"object",
"null"
],
"properties": {
"filter": {
"type": "object",
"properties": {
"contactStatus": {
"type": "string",
"enum": [
"active",
"archived",
"all"
]
},
"segmentId": {
"type": [
"string",
"null"
],
"minLength": 1,
"maxLength": 160,
"default": null
},
"providerTypes": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"maxItems": 100
},
"requiredTags": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"maxItems": 100
},
"stageIds": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"maxItems": 100
},
"loyaltyCardRequired": {
"type": "boolean",
"default": false
},
"loyaltyLevelIds": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"maxItems": 100,
"default": []
},
"minimumLoyaltyBalance": {
"type": [
"integer",
"null"
],
"minimum": 0,
"maximum": 1000000000,
"default": null
},
"readyStampOfferIds": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"maxItems": 100,
"default": []
}
},
"required": [
"contactStatus",
"providerTypes",
"requiredTags",
"stageIds"
]
},
"candidateCount": {
"type": "integer",
"minimum": 0
},
"eligibleCount": {
"type": "integer",
"minimum": 0
},
"exclusions": {
"type": "object",
"properties": {
"consent_not_granted": {
"type": "integer",
"minimum": 0
},
"suppressed": {
"type": "integer",
"minimum": 0
},
"merged": {
"type": "integer",
"minimum": 0
},
"filter_mismatch": {
"type": "integer",
"minimum": 0
},
"channel_unavailable": {
"type": "integer",
"minimum": 0
},
"duplicate": {
"type": "integer",
"minimum": 0
}
},
"required": [
"consent_not_granted",
"suppressed",
"merged",
"filter_mismatch",
"channel_unavailable",
"duplicate"
]
}
},
"required": [
"filter",
"candidateCount",
"eligibleCount",
"exclusions"
]
}
},
"required": [
"audience"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperCampaignAudienceCurrentResponse"
}400 Invalid Campaign identifier
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 Campaign directory unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 Campaign not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}